cURL
curl --request POST \
--url https://api.example.com/api/v1/vm/{vm_or_commit_id}/branch \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/vm/{vm_or_commit_id}/branch"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/vm/{vm_or_commit_id}/branch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vms": [
{
"vm_id": "<string>"
}
]
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}POST
/
api
/
v1
/
vm
/
{vm_or_commit_id}
/
branch
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Parent VM or commit ID
Query Parameters
If true, keep VM paused after commit. Only applicable when branching a VM ID.
If true, immediately return an error if VM is booting instead of waiting. Only applicable when branching a VM ID.
Number of VMs to branch (optional; default 1)
Required range:
x >= 0Response
Branch VM created successfully
Show child attributes
Show child attributes
⌘I